Bug 256908 - security/vaultwarden: Update to 1.22.1
Summary: security/vaultwarden: Update to 1.22.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-30 16:41 UTC by Bernard Spil
Modified: 2021-07-21 21:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mr)


Attachments
git diff for security/vaultwarden (68.31 KB, text/plain)
2021-06-30 16:41 UTC, Bernard Spil
no flags Details
git diff for security/vaultwarden (71.87 KB, patch)
2021-07-11 21:25 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2021-06-30 16:41:58 UTC
Created attachment 226134 [details]
git diff for security/vaultwarden

Ran into an error with my MySQL backed VaultWarden.

Installed mariadb105-client, and updated the port, no more error.
Comment 1 Bernard Spil freebsd_committer 2021-07-11 21:25:33 UTC
Created attachment 226379 [details]
git diff for security/vaultwarden

Updated patch

 * Automate web-vault plist generation
 * Update web-vault to 2.20.4b
Comment 2 commit-hook freebsd_committer 2021-07-21 21:54:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4bfb1c42e67cd4a3e2ef8a13382e8f1f182571fa

commit 4bfb1c42e67cd4a3e2ef8a13382e8f1f182571fa
Author:     Bernard Spil <brnrd@FreeBSD.org>
AuthorDate: 2021-07-21 21:52:44 +0000
Commit:     Bernard Spil <brnrd@FreeBSD.org>
CommitDate: 2021-07-21 21:52:44 +0000

    security/vaultwarden: Update to 1.22.1

     * Update Web Vault to 2.20.4b

    PR:             256908
    Approved by:    Maintainer timeout

 security/vaultwarden/Makefile  | 190 +++++++++++----------
 security/vaultwarden/distinfo  | 374 +++++++++++++++++++++--------------------
 security/vaultwarden/pkg-plist |  52 +++---
 3 files changed, 320 insertions(+), 296 deletions(-)